Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class GameEventPoint

    java.lang.Object
      gecco.server.core.Unit
          gecco.game.dke.GameEventPoint

All Implemented Interfaces:
  Comparable, ReplayReady

Direct Known Subclasses:
  ScorePoint, VictoryPoint

public class GameEventPoint
extends Unit
implements ReplayReady

GameEventPoint.java Created: Wed Feb 05 13:43:31 2003

Author:
  Hans Sandström

Field Summary
`int` | `CHANGE_OWNER`

Fields inherited from class gecco.server.core.Unit
`activeAction, blockedActions, commander, handle, intX, intY, isDestroyed, name, observers, properties, type, unitType, updatedActions, updatedProperties, x, y`

Fields inherited from interface gecco.server.replaymanager.ReplayReady
`UNIT`

Constructor Summary
`GameEventPoint()`

Method Summary
`void` | `automatonLastVisitorChanged(int newLastVisitor)`
`void` | `changeOwner(int newOwner)`
`int` | `getOwner()`
`void` | `playReplayData(int method, Object[] parameters)`
`void` | `printWriteMe(PrintWriter out)`
`void` | `saveReplayData(int method, Object[] parameters)`
`String` | `toString()`

Methods inherited from class gecco.server.core.Unit
`abortAllActions, addBlockedAction, addObserver, canSeeAutomatonAtPosition, compareTo, equals, getActiveAction, getBlockedActions, getCommander, getDoubleProperty, getHandle, getIntProperty, getIntX, getIntY, getName, getObservers, getProperties, getProperty, getPropertyType, getStringProperty, getUnitType, getUpdatedActions, getUpdatedProperties, getX, getY, hashCode, isDestroyed, isObserver, markAsDestroyed, removeBlockedAction, removeObserver, resetUpdatedActions, resetUpdatedProperties, sendUnitMessage, setActiveAction, setCommander, setHandle, setName, setPosition, setProperty, setProperty, setProperty, setUnitType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANGE_OWNER

    public final int CHANGE_OWNER

See Also:
  Constant Field Values

Constructor Detail

### GameEventPoint

    public GameEventPoint()

Method Detail

### automatonLastVisitorChanged

    public void automatonLastVisitorChanged(int newLastVisitor)

### getOwner

    public int getOwner()

### changeOwner

    public void changeOwner(int newOwner)

### toString

    public String toString()

  Overrides:
    `toString` in class `Unit`

### printWriteMe

    public void printWriteMe(PrintWriter out)

  Overrides:
    `printWriteMe` in class `Unit`

### saveReplayData

    public void saveReplayData(int method,
                               Object[] parameters)

  Specified by:
    `saveReplayData` in interface `ReplayReady`
  Parameters:
    `method` -
    `parameters` -

### playReplayData

    public void playReplayData(int method,
                               Object[] parameters)

  Specified by:
    `playReplayData` in interface `ReplayReady`
  Parameters:
    `method` -
    `parameters` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD